Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » DSDP - Mobile Tools for Java (MTJ) » Help: WTK2.5.2 + MTJ 0.9 + Eclipse 3.4.1 + JRE6_10
Help: WTK2.5.2 + MTJ 0.9 + Eclipse 3.4.1 + JRE6_10 [message #22434] Fri, 14 November 2008 12:06 Go to next message
Gustavo de Paula is currently offline Gustavo de Paula
Messages: 118
Registered: July 2009
Senior Member
can you please let us know the operating system? if it is linux, you might
have some issue with WTK configuration inside linux.

-------------------------------
Hi guys!

I've just installed all the above, fresh.
But when I try to import the devices from WTK, I get nothing although
the folders get scanned.
I even tried the TAB key, but no it doesn't work. Is there a problem
with the above combo?
I also tried EclipseMe, also same behaviour.

Without device profiles I can't create projects. :(

Is there a manual way to do it? I see in the wtkib/devices all the
properties files...
Can I manually add these into some config file somewhere?

Thanks!
Re: Help: WTK2.5.2 + MTJ 0.9 + Eclipse 3.4.1 + JRE6_10 [message #22878 is a reply to message #22434] Sun, 16 November 2008 22:32 Go to previous messageGo to next message
Serwei is currently offline Serwei
Messages: 2
Registered: July 2009
Junior Member
Hi again,
I couldn't log in here the other night, hence had to use the mailing list.

I'm using WinXP.
I tried the emulator.exe but it says "create process failed".

I also tried Netbeans 6.1 after MTJ failed to work, and NB is ok with the
same env. Strange.
Re: Help: WTK2.5.2 + MTJ 0.9 + Eclipse 3.4.1 + JRE6_10 [message #22919 is a reply to message #22878] Tue, 18 November 2008 15:23 Go to previous messageGo to next message
Gustavo de Paula is currently offline Gustavo de Paula
Messages: 118
Registered: July 2009
Senior Member
there is no problem to use the dev list. we are just trying to drive more
the user community to the newsgroup :)

about the issue, it is really strange. the emaulator.exe is the base
executable that is called by MTJ so it is not support to generate that
error. can you use wtk "run as" and run a jar/jad ? besides that, can you
try other SDK such as motorola or sony ericsson. my last suggestion is to
download wtk again and see if it solves the problem. it really seems like
an issue with the wtk install. netbeans might work because maybe they
don't call the emulator.exe file since everything is done by sun

if you are not able to fix this, please let me know and i will see if i
have more ideas

regards,
gustavo
Re: Help: WTK2.5.2 + MTJ 0.9 + Eclipse 3.4.1 + JRE6_10 [message #22963 is a reply to message #22919] Tue, 18 November 2008 19:30 Go to previous messageGo to next message
Eclipse User
Originally posted by: craigjunk.setera.org

Can you run emulator.exe from the command line? If not, I would agree
with Gustavo that this appears to be a bad installation of the WTK.

Gustavo de Paula wrote:
> there is no problem to use the dev list. we are just trying to drive
> more the user community to the newsgroup :)
>
> about the issue, it is really strange. the emaulator.exe is the base
> executable that is called by MTJ so it is not support to generate that
> error. can you use wtk "run as" and run a jar/jad ? besides that, can
> you try other SDK such as motorola or sony ericsson. my last suggestion
> is to download wtk again and see if it solves the problem. it really
> seems like an issue with the wtk install. netbeans might work because
> maybe they don't call the emulator.exe file since everything is done by sun
>
> if you are not able to fix this, please let me know and i will see if i
> have more ideas
> regards,
> gustavo
>
Re: Help: WTK2.5.2 + MTJ 0.9 + Eclipse 3.4.1 + JRE6_10 [message #26756 is a reply to message #22963] Wed, 18 February 2009 12:32 Go to previous messageGo to next message
Luciano Mollea is currently offline Luciano Mollea
Messages: 2
Registered: July 2009
Junior Member
Sorry to bump this old thread, but it seems that I have the same problem.

My environment is the same as in this issue, safe from the latest version
of MTJ (WinXP + Ganymede SR1 + MTJ 0.9.1 + WTK 2.5.2).

When I try to inspect WTK dir for devices no device are found. I've been
using EclipseME and it worked fine.

jad files can be executed via Explorer, *but* i found that in
WTK2.5.5/bin directory, the emulator.exe is missing, there is only
emulatorw.exe

Could be this the problem? Strange because I installed WTK long time ago
and EclipseME (as I said) worked fine.

Thanks in advance for the help.

> Can you run emulator.exe from the command line? If not, I would agree
> with Gustavo that this appears to be a bad installation of the WTK.

> Gustavo de Paula wrote:
>> there is no problem to use the dev list. we are just trying to drive
>> more the user community to the newsgroup :)
>>
>> about the issue, it is really strange. the emaulator.exe is the base
>> executable that is called by MTJ so it is not support to generate that
>> error. can you use wtk "run as" and run a jar/jad ? besides that, can
>> you try other SDK such as motorola or sony ericsson. my last suggestion
>> is to download wtk again and see if it solves the problem. it really
>> seems like an issue with the wtk install. netbeans might work because
>> maybe they don't call the emulator.exe file since everything is done by sun
>>
>> if you are not able to fix this, please let me know and i will see if i
>> have more ideas
>> regards,
>> gustavo
>>
Re: Help: WTK2.5.2 + MTJ 0.9 + Eclipse 3.4.1 + JRE6_10 [message #27109 is a reply to message #26756] Tue, 24 February 2009 20:02 Go to previous message
Eclipse User
Originally posted by: craigjunk.setera.org

That would definitely cause an issue. The Unified Emulator Interface
specification requires the "emulator.exe" and that is what MTJ is
looking for when searching. You could try copying emulatorw.exe to
emulator.exe and see what happens. I believe that emulator.exe just
delegates to emulatorw.exe on Windows anyway. I can't offer guarantees
it will work though.

The more interesting question in my mind is why this happened and is
there some specific scenario that is causing these invalid WTK
installations?

Craig

Luciano Mollea wrote:
> Sorry to bump this old thread, but it seems that I have the same problem.
>
> My environment is the same as in this issue, safe from the latest
> version of MTJ (WinXP + Ganymede SR1 + MTJ 0.9.1 + WTK 2.5.2).
>
> When I try to inspect WTK dir for devices no device are found. I've been
> using EclipseME and it worked fine.
>
> jad files can be executed via Explorer, *but* i found that in
> WTK2.5.5/bin directory, the emulator.exe is missing, there is only
> emulatorw.exe
>
> Could be this the problem? Strange because I installed WTK long time ago
> and EclipseME (as I said) worked fine.
>
> Thanks in advance for the help.
>
Re: Help: WTK2.5.2 + MTJ 0.9 + Eclipse 3.4.1 + JRE6_10 [message #568189 is a reply to message #22434] Sun, 16 November 2008 22:32 Go to previous message
Serwei is currently offline Serwei
Messages: 2
Registered: July 2009
Junior Member
Hi again,
I couldn't log in here the other night, hence had to use the mailing list.

I'm using WinXP.
I tried the emulator.exe but it says "create process failed".

I also tried Netbeans 6.1 after MTJ failed to work, and NB is ok with the
same env. Strange.
Re: Help: WTK2.5.2 + MTJ 0.9 + Eclipse 3.4.1 + JRE6_10 [message #568223 is a reply to message #22878] Tue, 18 November 2008 15:23 Go to previous message
Gustavo de Paula is currently offline Gustavo de Paula
Messages: 118
Registered: July 2009
Senior Member
there is no problem to use the dev list. we are just trying to drive more
the user community to the newsgroup :)

about the issue, it is really strange. the emaulator.exe is the base
executable that is called by MTJ so it is not support to generate that
error. can you use wtk "run as" and run a jar/jad ? besides that, can you
try other SDK such as motorola or sony ericsson. my last suggestion is to
download wtk again and see if it solves the problem. it really seems like
an issue with the wtk install. netbeans might work because maybe they
don't call the emulator.exe file since everything is done by sun

if you are not able to fix this, please let me know and i will see if i
have more ideas

regards,
gustavo
Re: Help: WTK2.5.2 + MTJ 0.9 + Eclipse 3.4.1 + JRE6_10 [message #568258 is a reply to message #22919] Tue, 18 November 2008 19:30 Go to previous message
Craig Setera is currently offline Craig Setera
Messages: 54
Registered: July 2009
Member
Can you run emulator.exe from the command line? If not, I would agree
with Gustavo that this appears to be a bad installation of the WTK.

Gustavo de Paula wrote:
> there is no problem to use the dev list. we are just trying to drive
> more the user community to the newsgroup :)
>
> about the issue, it is really strange. the emaulator.exe is the base
> executable that is called by MTJ so it is not support to generate that
> error. can you use wtk "run as" and run a jar/jad ? besides that, can
> you try other SDK such as motorola or sony ericsson. my last suggestion
> is to download wtk again and see if it solves the problem. it really
> seems like an issue with the wtk install. netbeans might work because
> maybe they don't call the emulator.exe file since everything is done by sun
>
> if you are not able to fix this, please let me know and i will see if i
> have more ideas
> regards,
> gustavo
>
Re: Help: WTK2.5.2 + MTJ 0.9 + Eclipse 3.4.1 + JRE6_10 [message #571236 is a reply to message #22963] Wed, 18 February 2009 12:32 Go to previous message
Luciano Mollea is currently offline Luciano Mollea
Messages: 2
Registered: July 2009
Junior Member
Sorry to bump this old thread, but it seems that I have the same problem.

My environment is the same as in this issue, safe from the latest version
of MTJ (WinXP + Ganymede SR1 + MTJ 0.9.1 + WTK 2.5.2).

When I try to inspect WTK dir for devices no device are found. I've been
using EclipseME and it worked fine.

jad files can be executed via Explorer, *but* i found that in
WTK2.5.5/bin directory, the emulator.exe is missing, there is only
emulatorw.exe

Could be this the problem? Strange because I installed WTK long time ago
and EclipseME (as I said) worked fine.

Thanks in advance for the help.

> Can you run emulator.exe from the command line? If not, I would agree
> with Gustavo that this appears to be a bad installation of the WTK.

> Gustavo de Paula wrote:
>> there is no problem to use the dev list. we are just trying to drive
>> more the user community to the newsgroup :)
>>
>> about the issue, it is really strange. the emaulator.exe is the base
>> executable that is called by MTJ so it is not support to generate that
>> error. can you use wtk "run as" and run a jar/jad ? besides that, can
>> you try other SDK such as motorola or sony ericsson. my last suggestion
>> is to download wtk again and see if it solves the problem. it really
>> seems like an issue with the wtk install. netbeans might work because
>> maybe they don't call the emulator.exe file since everything is done by sun
>>
>> if you are not able to fix this, please let me know and i will see if i
>> have more ideas
>> regards,
>> gustavo
>>
Re: Help: WTK2.5.2 + MTJ 0.9 + Eclipse 3.4.1 + JRE6_10 [message #571550 is a reply to message #26756] Tue, 24 February 2009 20:02 Go to previous message
Craig Setera is currently offline Craig Setera
Messages: 54
Registered: July 2009
Member
That would definitely cause an issue. The Unified Emulator Interface
specification requires the "emulator.exe" and that is what MTJ is
looking for when searching. You could try copying emulatorw.exe to
emulator.exe and see what happens. I believe that emulator.exe just
delegates to emulatorw.exe on Windows anyway. I can't offer guarantees
it will work though.

The more interesting question in my mind is why this happened and is
there some specific scenario that is causing these invalid WTK
installations?

Craig

Luciano Mollea wrote:
> Sorry to bump this old thread, but it seems that I have the same problem.
>
> My environment is the same as in this issue, safe from the latest
> version of MTJ (WinXP + Ganymede SR1 + MTJ 0.9.1 + WTK 2.5.2).
>
> When I try to inspect WTK dir for devices no device are found. I've been
> using EclipseME and it worked fine.
>
> jad files can be executed via Explorer, *but* i found that in
> WTK2.5.5/bin directory, the emulator.exe is missing, there is only
> emulatorw.exe
>
> Could be this the problem? Strange because I installed WTK long time ago
> and EclipseME (as I said) worked fine.
>
> Thanks in advance for the help.
>
Previous Topic:Error loading devices [configuration problem]
Next Topic:"Convert to MIDLet project" hangs
Goto Forum:
  


Current Time: Sat Aug 23 15:56:31 EDT 2014

Powered by FUDForum. Page generated in 0.01864 seconds